// Code generated by mockery v2.20.0. DO NOT EDIT.

package mockclients

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	types "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg/types"
)

// Apply is an autogenerated mock type for the Apply type
type Apply struct {
	mock.Mock
}

// UpdateApply provides a mock function with given fields: ctx, input
func (_m *Apply) UpdateApply(ctx context.Context, input *types.UpdateApplyInput) (*types.Apply, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.Apply
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.UpdateApplyInput) (*types.Apply, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.UpdateApplyInput) *types.Apply); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.Apply)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.UpdateApplyInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewApply interface {
	mock.TestingT
	Cleanup(func())
}

// NewApply creates a new instance of Apply. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewApply(t mockConstructorTestingTNewApply) *Apply {
	mock := &Apply{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
